# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file '/home/laptech/pbsa/DEXBot/dexbot/views/ui/worker_details_window.ui'
#
# Created by: PyQt5 UI code generator 5.10
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets

class Ui_details_dialog(object):
    def setupUi(self, details_dialog):
        details_dialog.setObjectName("details_dialog")
        details_dialog.resize(700, 500)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(details_dialog.sizePolicy().hasHeightForWidth())
        details_dialog.setSizePolicy(sizePolicy)
        details_dialog.setMinimumSize(QtCore.QSize(700, 500))
        self.verticalLayout_13 = QtWidgets.QVBoxLayout(details_dialog)
        self.verticalLayout_13.setObjectName("verticalLayout_13")
        self.tabs_widget = QtWidgets.QTabWidget(details_dialog)
        self.tabs_widget.setEnabled(True)
        self.tabs_widget.setStyleSheet("")
        self.tabs_widget.setTabPosition(QtWidgets.QTabWidget.North)
        self.tabs_widget.setTabShape(QtWidgets.QTabWidget.Rounded)
        self.tabs_widget.setUsesScrollButtons(True)
        self.tabs_widget.setDocumentMode(False)
        self.tabs_widget.setObjectName("tabs_widget")
        self.worker_tab = QtWidgets.QWidget()
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.worker_tab.sizePolicy().hasHeightForWidth())
        self.worker_tab.setSizePolicy(sizePolicy)
        self.worker_tab.setMinimumSize(QtCore.QSize(600, 350))
        font = QtGui.QFont()
        font.setKerning(True)
        self.worker_tab.setFont(font)
        self.worker_tab.setStyleSheet("")
        self.worker_tab.setObjectName("worker_tab")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.worker_tab)
        self.verticalLayout.setObjectName("verticalLayout")
        self.worker_information = QtWidgets.QGroupBox(self.worker_tab)
        self.worker_information.setStyleSheet("")
        self.worker_information.setObjectName("worker_information")
        self.formLayout = QtWidgets.QFormLayout(self.worker_information)
        self.formLayout.setObjectName("formLayout")
        self.worker_name_label = QtWidgets.QLabel(self.worker_information)
        self.worker_name_label.setMinimumSize(QtCore.QSize(120, 0))
        self.worker_name_label.setMaximumSize(QtCore.QSize(120, 16777215))
        self.worker_name_label.setObjectName("worker_name_label")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.worker_name_label)
        self.worker_name = QtWidgets.QLabel(self.worker_information)
        self.worker_name.setText("")
        self.worker_name.setObjectName("worker_name")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.FieldRole, self.worker_name)
        self.worker_account_label = QtWidgets.QLabel(self.worker_information)
        self.worker_account_label.setMinimumSize(QtCore.QSize(120, 0))
        self.worker_account_label.setMaximumSize(QtCore.QSize(120, 16777215))
        self.worker_account_label.setObjectName("worker_account_label")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.LabelRole, self.worker_account_label)
        self.worker_account = QtWidgets.QLabel(self.worker_information)
        self.worker_account.setText("")
        self.worker_account.setObjectName("worker_account")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.FieldRole, self.worker_account)
        self.verticalLayout.addWidget(self.worker_information)
        self.strategy_information = QtWidgets.QGroupBox(self.worker_tab)
        self.strategy_information.setObjectName("strategy_information")
        self.formLayout_2 = QtWidgets.QFormLayout(self.strategy_information)
        self.formLayout_2.setObjectName("formLayout_2")
        self.stratehy_name_label = QtWidgets.QLabel(self.strategy_information)
        self.stratehy_name_label.setMinimumSize(QtCore.QSize(120, 0))
        self.stratehy_name_label.setMaximumSize(QtCore.QSize(120, 16777215))
        self.stratehy_name_label.setObjectName("stratehy_name_label")
        self.formLayout_2.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.stratehy_name_label)
        self.strategy_name = QtWidgets.QLabel(self.strategy_information)
        self.strategy_name.setText("")
        self.strategy_name.setObjectName("strategy_name")
        self.formLayout_2.setWidget(0, QtWidgets.QFormLayout.FieldRole, self.strategy_name)
        self.market_label = QtWidgets.QLabel(self.strategy_information)
        self.market_label.setObjectName("market_label")
        self.formLayout_2.setWidget(1, QtWidgets.QFormLayout.LabelRole, self.market_label)
        self.market = QtWidgets.QLabel(self.strategy_information)
        self.market.setText("")
        self.market.setObjectName("market")
        self.formLayout_2.setWidget(1, QtWidgets.QFormLayout.FieldRole, self.market)
        self.fee_asset_label = QtWidgets.QLabel(self.strategy_information)
        self.fee_asset_label.setObjectName("fee_asset_label")
        self.formLayout_2.setWidget(2, QtWidgets.QFormLayout.LabelRole, self.fee_asset_label)
        self.fee_asset = QtWidgets.QLabel(self.strategy_information)
        self.fee_asset.setText("")
        self.fee_asset.setObjectName("fee_asset")
        self.formLayout_2.setWidget(2, QtWidgets.QFormLayout.FieldRole, self.fee_asset)
        self.verticalLayout.addWidget(self.strategy_information)
        self.tabs_widget.addTab(self.worker_tab, "")
        self.verticalLayout_13.addWidget(self.tabs_widget)
        self.widget = QtWidgets.QWidget(details_dialog)
        self.widget.setMinimumSize(QtCore.QSize(0, 35))
        self.widget.setObjectName("widget")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.widget)
        self.verticalLayout_3.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout_3.setSpacing(0)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.button_box = QtWidgets.QDialogButtonBox(self.widget)
        self.button_box.setMinimumSize(QtCore.QSize(0, 35))
        self.button_box.setStandardButtons(QtWidgets.QDialogButtonBox.Close)
        self.button_box.setObjectName("button_box")
        self.verticalLayout_3.addWidget(self.button_box)
        self.verticalLayout_13.addWidget(self.widget)

        self.retranslateUi(details_dialog)
        self.tabs_widget.setCurrentIndex(0)
        QtCore.QMetaObject.connectSlotsByName(details_dialog)

    def retranslateUi(self, details_dialog):
        _translate = QtCore.QCoreApplication.translate
        details_dialog.setWindowTitle(_translate("details_dialog", "DEXBot - Worker details"))
        self.worker_information.setTitle(_translate("details_dialog", "Basic information"))
        self.worker_name_label.setText(_translate("details_dialog", "Worker name"))
        self.worker_account_label.setText(_translate("details_dialog", "Worker account"))
        self.strategy_information.setTitle(_translate("details_dialog", "Strategy parameters"))
        self.stratehy_name_label.setText(_translate("details_dialog", "Strategy"))
        self.market_label.setText(_translate("details_dialog", "Market "))
        self.fee_asset_label.setText(_translate("details_dialog", "Fee asset"))
        self.tabs_widget.setTabText(self.tabs_widget.indexOf(self.worker_tab), _translate("details_dialog", "Worker"))

